# Assign values for the additional order fields

## Overview

Use this method to assign values to the additional fields for orders.

## Use case

1. Add an HTML link or button on your page like the one below.
2. Create a JavaScript click handler to execute the Inline Client desired methods.
3. Set your currency using the TwoCoInlineCart.cart.setCurrency('USD') method.
4. Use the TwoCoInlineCart.cart.setAdditionalFields(additionalFields) method to set the order additional fields values.
5. The **additionalFields** argument should contain a list of objects with the code of the field and its value.
6. Use the TwoCoInlineCart.products.add({code, quantity}) method to prepare your products.
7. Use the TwoCoInlineCart.cart.checkout() method to show the cart on your page.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### JavaScript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.cart.setCurrency('USD');

  TwoCoInlineCart.cart.setAdditionalFields([
      // textbox type example
      {
        code     : 'TextInIPNCustom123',
        value    : 'Some text value'
      },
      // listbox type example
      {
        code     : 'SourceOrder',
        value    : 'The WWW'
      },
      // hidden type example
      {
        code     : 'cart2cotestorderhidden',
        value    : 'Some text for the hidden field'
      },
      // checkbox type example
      {
        code     : 'cart2cotestordercheckbox',
        value    : true
      }
  ]);

  TwoCoInlineCart.products.add({
    code: '2CO3MONTHS',
    quantity: 1
  });

  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After defining the additional fields for your orders using the above method, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/OKQPLN>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/assign-values-for-the-additional-order-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
